> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.whizcozy.com/api-reference/whiz-board-api/reminders/update-reminder-api-v-1-firms-firm-slug-reminders-reminder-id-patch/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.whizcozy.com/_mcp/server. # Update Reminder PATCH https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/{firm_slug}/reminders/{reminder_id} Content-Type: application/json Reference: https://docs.whizcozy.com/api-reference/whiz-board-api/reminders/update-reminder-api-v-1-firms-firm-slug-reminders-reminder-id-patch ## Authentication - `Authorization` header (required) — API Key authentication via header ## Request ### Path parameters - `reminder_id` (integer, required) - `firm_slug` (string, required) ### Body (application/json) This endpoint expects a ReminderUpdateRequest. - `title` (string, optional, nullable) - `description_html` (string, optional, nullable) - `due_at` (datetime, optional, nullable) - `recurrence_type` (enum, optional, nullable) — Supported reminder recurrence rules. - Allowed values: `NONE`, `DAILY`, `WEEKLY`, `MONTHLY`, `QUARTERLY`, `YEARLY`, `CUSTOM_DAYS`, `MONTHLY_ON_DAY` - `custom_interval_days` (integer, optional, nullable) - `monthly_day` (integer, optional, nullable) - `status` (enum, optional, nullable) — Lifecycle status for client reminder metadata. - Allowed values: `ACTIVE`, `PAUSED`, `COMPLETED`, `ARCHIVED` - `recipients` (list of ReminderRecipientRequest, optional, nullable) ## Response ### 200 Successful Response - `data` (ReminderResponse, required) - `status` (string, optional, default: success) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ReminderRecipientRequest - `user_id` (integer, required) - `delivery_role` (string, optional, default: recipient) ### ReminderResponse - `id` (integer, required) - `firm_id` (integer, required) - `client_membership_id` (integer, required) - `title` (string, required) - `description_html` (string, required, nullable) - `due_at` (datetime, required) - `recurrence_type` (enum, required) — Supported reminder recurrence rules. - Allowed values: `NONE`, `DAILY`, `WEEKLY`, `MONTHLY`, `QUARTERLY`, `YEARLY`, `CUSTOM_DAYS`, `MONTHLY_ON_DAY` - `custom_interval_days` (integer, required, nullable) - `monthly_day` (integer, required, nullable) - `status` (enum, required) — Lifecycle status for client reminder metadata. - Allowed values: `ACTIVE`, `PAUSED`, `COMPLETED`, `ARCHIVED` - `created_by_user_id` (integer, required, nullable) - `created_at` (datetime, required, nullable) - `updated_at` (datetime, required, nullable) - `recipients` (list of ReminderRecipientResponse, optional) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) - `input` (any, optional) - `ctx` (ValidationErrorCtx, optional) ### ReminderRecipientResponse - `user_id` (integer, required) - `user_email` (string, required) - `user_name` (string, required, nullable) - `delivery_role` (string, required) ### ValidationErrorLocItems ### ValidationErrorCtx ## Examples **Request** ```json {} ``` **Response** ```json { "data": { "id": 1, "firm_id": 1, "client_membership_id": 1, "title": "string", "description_html": "string", "due_at": "2024-01-15T09:30:00Z", "recurrence_type": "NONE", "custom_interval_days": 1, "monthly_day": 1, "status": "ACTIVE", "created_by_user_id": 1, "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "recipients": [ { "user_id": 1, "user_email": "string", "user_name": "string", "delivery_role": "string" } ] }, "status": "success" } ``` **SDK Code** ```python import requests url = "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/reminders/1" payload = {} headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/reminders/1'; const options = { method: 'PATCH', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/reminders/1" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/reminders/1") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/reminders/1") .header("Authorization", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/reminders/1', [ 'body' => '{}', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/reminders/1"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/reminders/1")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```